/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.FullScreenView {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 9001;
}
.FullScreenView__body {
    overflow: hidden;

    #interakt_chat {
        display: none;
    }
}

.PresentationPlayer {
    display: flex;
    @include unselectable();
    overflow: hidden;
    background: black;

    .slide-bg-image {
        width: 100%;
        height: 100%;
    }
}
.PresentationPlayer--fullscreen {
    width: 100%;
    height: 100%;
}
.PresentationPlayer--notfullscreen {
    height: 480px;
}

.PresentationPlayer__overlay {
    position: absolute;
    z-index: 1000;
    top: 0;
    bottom: 0;
    width: 5em;

    display: flex;
    align-items: center;

    opacity: 1;
    transition: opacity _duration(transition)*2 ease-in-out;
}
.PresentationPlayer__overlay--hidden {
    opacity: 0;
}

.PresentationPlayer__overlay__arrow {
    width: 3em;
    height: 3em;
    content: '';
    position: relative;

    transition: all _duration(transition) ease-in-out;
    border: 5px solid transparentize(white, 0.5);
    border-radius: _size(border-radius);

    transform: rotate(-45deg);
    margin: 1em;
}
.PresentationPlayer__overlay--right__arrow {
    transform: rotate(135deg);
}
.PresentationPlayer__overlay:hover .PresentationPlayer__overlay__arrow {
    border: 7.5px solid white;
    transform: scale(1, 0.9) rotate(-45deg);
}
.PresentationPlayer__overlay--right:hover .PresentationPlayer__overlay__arrow {
    transform: scale(1, 0.9) rotate(135deg);
}
.PresentationPlayer__overlay__arrow,
.PresentationPlayer__overlay:hover .PresentationPlayer__overlay__arrow {
    border-bottom: none;
    border-right: none;
}

.PresentationPlayer__overlay:active .PresentationPlayer__overlay__arrow {
    transform: scale(1, 0.75) rotate(-45deg);
}
.PresentationPlayer__overlay--right:active .PresentationPlayer__overlay__arrow {
    transform: scale(1, 0.75) rotate(135deg);
}

.PresentationPlayer__overlay--left {
    left: 0;
    background: linear-gradient(to right, rgba(0, 0, 0, 0.5), transparent);
}
.PresentationPlayer__overlay--right {
    right: 0;
    background: linear-gradient(to left, _palette(fg), transparent);
}


.PresentationPlayer .SlideTrans {
    position: absolute;
    width: 100%;
    height: 100%;
}
.SlideTrans--left,
.SlideTrans--right {
    pointer-events: none;
}

$slide-trans-duration: 0.25s;
.SlideTrans {
    transition: transform $slide-trans-duration ease-in-out,
                opacity   $slide-trans-duration linear;
}
.PresentationPlayer--trans-none {
    .SlideTrans--left,
    .SlideTrans--right {
        display: none;
        display: none;
    }
}
.PresentationPlayer--trans-fade {
    .SlideTrans--left {
        opacity: 0;
    }
    .SlideTrans--right {
        opacity: 0;
    }
}
.PresentationPlayer--trans-zoom {
    .SlideTrans--left {
        transform: scale(2);
        opacity: 0;
    }
    .SlideTrans--right {
        transform: scale(0);
        opacity: 0;
    }
}
.PresentationPlayer--trans-slide {
    .SlideTrans--left {
        transform: translateX(-100%);
    }
    .SlideTrans--right {
        transform: translateX(100%);
    }
}
.PresentationPlayer--trans-fastslide {
    .SlideTrans--left {
        transform: translateX(-25%);
        opacity: 0;
    }
    .SlideTrans--right {
        transform: translateX(25%);
        opacity: 0;
    }
}
.PresentationPlayer--trans-stack {
    .SlideTrans {
        transform-origin: top left;
    }
    .SlideTrans--left {
        transform: rotate(-90deg);
    }
    .SlideTrans--right {
        opacity: 0;
    }
}
